[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TStringList.CaseSensitive

Indicates whether comparing strings happens in a case sensitive manner.

## Declaration

Source position: classesh.inc line 866

`public property TStringList.CaseSensitive : Boolean read FCaseSensitive write SetCaseSensitive;`

## Description

CaseSensitive indicates how string values are compared: When True this happens case sensitively, and when False, the comparison is done in a case insensitive manner.

This property influences IndexOf, Find, IndexOfName and Sort.

## See also

IndexOf |  | Find a string in the list and return its position.
Find |  | Locates the index for a given string in sorted lists.
IndexOfName |  | Finds the index of a name in the name-value pairs.
Sort |  | Sorts the strings in the list.